drop TABLE if exists czdrg_vstupni_veta;

CREATE TABLE czdrg_vstupni_veta(
	id_poj varchar(20),
	id_pripadu varchar(15),
	id_zp int,
	idzz char(8),
	odb_pri char(3) NOT NULL,
	odb_pro char(3),
	datum_pri date NOT NULL,
	datum_pro date NOT NULL,
	los smallint NOT NULL,
	veklet smallint NOT NULL,
	vekden smallint,
	pohlavi smallint NOT NULL,
	hmotnost smallint,
	gest_vek smallint,
	prijeti char(1),
	dru_pri char(1),
	duv_pri char(1),
	ukonceni char(1) NOT NULL,
	dg_hlavni varchar(5) NOT NULL,
	dg_vedlejsi1 varchar(5),
	dg_vedlejsi_typ1 char(1),
	dg_vedlejsi2 varchar(5),
	dg_vedlejsi_typ2 char(1),
	dg_vedlejsi3 varchar(5),
	dg_vedlejsi_typ3 char(1),
	dg_vedlejsi4 varchar(5),
	dg_vedlejsi_typ4 char(1),
	dg_vedlejsi5 varchar(5),
	dg_vedlejsi_typ5 char(1),
	dg_vedlejsi6 varchar(5),
	dg_vedlejsi_typ6 char(1),
	dg_vedlejsi7 varchar(5),
	dg_vedlejsi_typ7 char(1),
	dg_vedlejsi8 varchar(5),
	dg_vedlejsi_typ8 char(1),
	dg_vedlejsi9 varchar(5),
	dg_vedlejsi_typ9 char(1),
	dg_vedlejsi10 varchar(5),
	dg_vedlejsi_typ10 char(1),
	dg_vedlejsi11 varchar(5),
	dg_vedlejsi_typ11 char(1),
	dg_vedlejsi12 varchar(5),
	dg_vedlejsi_typ12 char(1),
	dg_vedlejsi13 varchar(5),
	dg_vedlejsi_typ13 char(1),
	dg_vedlejsi14 varchar(5),
	dg_vedlejsi_typ14 char(1),
	dg_vedlejsi15 varchar(5),
	dg_vedlejsi_typ15 char(1),
	dg_vedlejsi16 varchar(5),
	dg_vedlejsi_typ16 char(1),
	dg_vedlejsi17 varchar(5),
	dg_vedlejsi_typ17 char(1),
	dg_vedlejsi18 varchar(5),
	dg_vedlejsi_typ18 char(1),
	dg_vedlejsi19 varchar(5),
	dg_vedlejsi_typ19 char(1),
	dg_vedlejsi20 varchar(5),
	dg_vedlejsi_typ20 char(1),
	dg_vedlejsi21 varchar(5),
	dg_vedlejsi_typ21 char(1),
	dg_vedlejsi22 varchar(5),
	dg_vedlejsi_typ22 char(1),
	dg_vedlejsi23 varchar(5),
	dg_vedlejsi_typ23 char(1),
	dg_vedlejsi24 varchar(5),
	dg_vedlejsi_typ24 char(1),
	dg_vedlejsi25 varchar(5),
	dg_vedlejsi_typ25 char(1),
	dg_vedlejsi26 varchar(5),
	dg_vedlejsi_typ26 char(1),
	dg_vedlejsi27 varchar(5),
	dg_vedlejsi_typ27 char(1),
	dg_vedlejsi28 varchar(5),
	dg_vedlejsi_typ28 char(1),
	dg_vedlejsi29 varchar(5),
	dg_vedlejsi_typ29 char(1),
	dg_vedlejsi30 varchar(5),
	dg_vedlejsi_typ30 char(1),
	krit_vyk1 char(5),
	krit_vyk_poc1 smallint,
	krit_vyk2 char(5),
	krit_vyk_poc2 smallint,
	krit_vyk3 char(5),
	krit_vyk_poc3 smallint,
	krit_vyk4 char(5),
	krit_vyk_poc4 smallint,
	krit_vyk5 char(5),
	krit_vyk_poc5 smallint,
	krit_vyk6 char(5),
	krit_vyk_poc6 smallint,
	krit_vyk7 char(5),
	krit_vyk_poc7 smallint,
	krit_vyk8 char(5),
	krit_vyk_poc8 smallint,
	krit_vyk9 char(5),
	krit_vyk_poc9 smallint,
	krit_vyk10 char(5),
	krit_vyk_poc10 smallint,
	krit_vyk11 char(5),
	krit_vyk_poc11 smallint,
	krit_vyk12 char(5),
	krit_vyk_poc12 smallint,
	krit_vyk13 char(5),
	krit_vyk_poc13 smallint,
	krit_vyk14 char(5),
	krit_vyk_poc14 smallint,
	krit_vyk15 char(5),
	krit_vyk_poc15 smallint,
	krit_vyk16 char(5),
	krit_vyk_poc16 smallint,
	krit_vyk17 char(5),
	krit_vyk_poc17 smallint,
	krit_vyk18 char(5),
	krit_vyk_poc18 smallint,
	krit_vyk19 char(5),
	krit_vyk_poc19 smallint,
	krit_vyk20 char(5),
	krit_vyk_poc20 smallint,
	krit_vyk21 char(5),
	krit_vyk_poc21 smallint,
	krit_vyk22 char(5),
	krit_vyk_poc22 smallint,
	krit_vyk23 char(5),
	krit_vyk_poc23 smallint,
	krit_vyk24 char(5),
	krit_vyk_poc24 smallint,
	krit_vyk25 char(5),
	krit_vyk_poc25 smallint,
	upv smallint,
	zup1 char(8),
	zup_mno1 numeric(5, 2),
	zup2 char(8),
	zup_mno2 numeric(5, 2),
	zup3 char(8),
	zup_mno3 numeric(5, 2),
	zup4 char(8),
	zup_mno4 numeric(5, 2),
	zup5 char(8),
	zup_mno5 numeric(5, 2),
	zup6 char(8),
	zup_mno6 numeric(5, 2),
	zup7 char(8),
	zup_mno7 numeric(5, 2),
	zup8 char(8),
	zup_mno8 numeric(5, 2),
	zup9 char(8),
	zup_mno9 numeric(5, 2),
	zup10 char(8),
	zup_mno10 numeric(5, 2),
	zup11 char(8),
	zup_mno11 numeric(5, 2),
	zup12 char(8),
	zup_mno12 numeric(5, 2),
	zup13 char(8),
	zup_mno13 numeric(5, 2),
	zup14 char(8),
	zup_mno14 numeric(5, 2),
	zup15 char(8),
	zup_mno15 numeric(5, 2),
	oz_dny smallint,
	rhb_dny smallint,
	ps_dny smallint,
	krn_dny smallint,
	pop_dny smallint,
	dia_dny smallint,
	hru_dny smallint,
	bri_dny smallint,
	zlu_dny smallint,
	hrd_dny smallint,
	oko_dny smallint,
	srd_dny smallint,
	cev_dny smallint,
	hdl_dny smallint,
	rezerva varchar(10),
	verze_p varchar(10) NOT NULL,
	chyba_p smallint,
	kp1 smallint,
	kp2 smallint,
	kp3 smallint,
	kp4 smallint,
	kp5 smallint,
	kp6 numeric(5, 2),
	kp7 numeric(5, 2),
	kp8 numeric(5, 2),
	kp9 numeric(5, 2),
	kp10 numeric(5, 2),
	run_id bigint
);


DROP TABLE IF EXISTS czdrg_vystupni_veta;

CREATE TABLE czdrg_vystupni_veta(
	id_poj varchar(20),
	id_pripadu varchar(15),
	id_zp int,
	idzz char(8),
	odb_pri char(3) NOT NULL,
	odb_pro char(3),
	datum_pri date NOT NULL,
	datum_pro date NOT NULL,
	los smallint NOT NULL,
	veklet smallint NOT NULL,
	vekden smallint,
	pohlavi smallint NOT NULL,
	hmotnost smallint,
	gest_vek smallint,
	prijeti char(1),
	dru_pri char(1),
	duv_pri char(1),
	ukonceni char(1) NOT NULL,
	dg_hlavni varchar(5) NOT NULL,
	dg_vedlejsi1 varchar(5),
	dg_vedlejsi_typ1 char(1),
	dg_vedlejsi2 varchar(5),
	dg_vedlejsi_typ2 char(1),
	dg_vedlejsi3 varchar(5),
	dg_vedlejsi_typ3 char(1),
	dg_vedlejsi4 varchar(5),
	dg_vedlejsi_typ4 char(1),
	dg_vedlejsi5 varchar(5),
	dg_vedlejsi_typ5 char(1),
	dg_vedlejsi6 varchar(5),
	dg_vedlejsi_typ6 char(1),
	dg_vedlejsi7 varchar(5),
	dg_vedlejsi_typ7 char(1),
	dg_vedlejsi8 varchar(5),
	dg_vedlejsi_typ8 char(1),
	dg_vedlejsi9 varchar(5),
	dg_vedlejsi_typ9 char(1),
	dg_vedlejsi10 varchar(5),
	dg_vedlejsi_typ10 char(1),
	dg_vedlejsi11 varchar(5),
	dg_vedlejsi_typ11 char(1),
	dg_vedlejsi12 varchar(5),
	dg_vedlejsi_typ12 char(1),
	dg_vedlejsi13 varchar(5),
	dg_vedlejsi_typ13 char(1),
	dg_vedlejsi14 varchar(5),
	dg_vedlejsi_typ14 char(1),
	dg_vedlejsi15 varchar(5),
	dg_vedlejsi_typ15 char(1),
	dg_vedlejsi16 varchar(5),
	dg_vedlejsi_typ16 char(1),
	dg_vedlejsi17 varchar(5),
	dg_vedlejsi_typ17 char(1),
	dg_vedlejsi18 varchar(5),
	dg_vedlejsi_typ18 char(1),
	dg_vedlejsi19 varchar(5),
	dg_vedlejsi_typ19 char(1),
	dg_vedlejsi20 varchar(5),
	dg_vedlejsi_typ20 char(1),
	dg_vedlejsi21 varchar(5),
	dg_vedlejsi_typ21 char(1),
	dg_vedlejsi22 varchar(5),
	dg_vedlejsi_typ22 char(1),
	dg_vedlejsi23 varchar(5),
	dg_vedlejsi_typ23 char(1),
	dg_vedlejsi24 varchar(5),
	dg_vedlejsi_typ24 char(1),
	dg_vedlejsi25 varchar(5),
	dg_vedlejsi_typ25 char(1),
	dg_vedlejsi26 varchar(5),
	dg_vedlejsi_typ26 char(1),
	dg_vedlejsi27 varchar(5),
	dg_vedlejsi_typ27 char(1),
	dg_vedlejsi28 varchar(5),
	dg_vedlejsi_typ28 char(1),
	dg_vedlejsi29 varchar(5),
	dg_vedlejsi_typ29 char(1),
	dg_vedlejsi30 varchar(5),
	dg_vedlejsi_typ30 char(1),
	krit_vyk1 char(5),
	krit_vyk_poc1 smallint,
	krit_vyk2 char(5),
	krit_vyk_poc2 smallint,
	krit_vyk3 char(5),
	krit_vyk_poc3 smallint,
	krit_vyk4 char(5),
	krit_vyk_poc4 smallint,
	krit_vyk5 char(5),
	krit_vyk_poc5 smallint,
	krit_vyk6 char(5),
	krit_vyk_poc6 smallint,
	krit_vyk7 char(5),
	krit_vyk_poc7 smallint,
	krit_vyk8 char(5),
	krit_vyk_poc8 smallint,
	krit_vyk9 char(5),
	krit_vyk_poc9 smallint,
	krit_vyk10 char(5),
	krit_vyk_poc10 smallint,
	krit_vyk11 char(5),
	krit_vyk_poc11 smallint,
	krit_vyk12 char(5),
	krit_vyk_poc12 smallint,
	krit_vyk13 char(5),
	krit_vyk_poc13 smallint,
	krit_vyk14 char(5),
	krit_vyk_poc14 smallint,
	krit_vyk15 char(5),
	krit_vyk_poc15 smallint,
	krit_vyk16 char(5),
	krit_vyk_poc16 smallint,
	krit_vyk17 char(5),
	krit_vyk_poc17 smallint,
	krit_vyk18 char(5),
	krit_vyk_poc18 smallint,
	krit_vyk19 char(5),
	krit_vyk_poc19 smallint,
	krit_vyk20 char(5),
	krit_vyk_poc20 smallint,
	krit_vyk21 char(5),
	krit_vyk_poc21 smallint,
	krit_vyk22 char(5),
	krit_vyk_poc22 smallint,
	krit_vyk23 char(5),
	krit_vyk_poc23 smallint,
	krit_vyk24 char(5),
	krit_vyk_poc24 smallint,
	krit_vyk25 char(5),
	krit_vyk_poc25 smallint,
	upv smallint,
	zup1 char(8),
	zup_mno1 numeric(5, 2),
	zup2 char(8),
	zup_mno2 numeric(5, 2),
	zup3 char(8),
	zup_mno3 numeric(5, 2),
	zup4 char(8),
	zup_mno4 numeric(5, 2),
	zup5 char(8),
	zup_mno5 numeric(5, 2),
	zup6 char(8),
	zup_mno6 numeric(5, 2),
	zup7 char(8),
	zup_mno7 numeric(5, 2),
	zup8 char(8),
	zup_mno8 numeric(5, 2),
	zup9 char(8),
	zup_mno9 numeric(5, 2),
	zup10 char(8),
	zup_mno10 numeric(5, 2),
	zup11 char(8),
	zup_mno11 numeric(5, 2),
	zup12 char(8),
	zup_mno12 numeric(5, 2),
	zup13 char(8),
	zup_mno13 numeric(5, 2),
	zup14 char(8),
	zup_mno14 numeric(5, 2),
	zup15 char(8),
	zup_mno15 numeric(5, 2),
	oz_dny smallint,
	rhb_dny smallint,
	ps_dny smallint,
	krn_dny smallint,
	pop_dny smallint,
	dia_dny smallint,
	hru_dny smallint,
	bri_dny smallint,
	zlu_dny smallint,
	hrd_dny smallint,
	oko_dny smallint,
	srd_dny smallint,
	cev_dny smallint,
	hdl_dny smallint,
	rezerva varchar(10),
	verze_p varchar(10) NOT NULL,
	chyba_p smallint,
	kp1 smallint,
	kp2 smallint,
	kp3 smallint,
	kp4 smallint,
	kp5 smallint,
	kp6 numeric(5, 2),
	kp7 numeric(5, 2),
	kp8 numeric(5, 2),
	kp9 numeric(5, 2),
	kp10 numeric(5, 2),
	verze_g varchar(10) NOT NULL,
	chyba smallint NOT NULL,
	chyba_dg1 smallint,
	chyba_dg2 smallint,
	chyba_dg3 smallint,
	chyba_dg4 smallint,
	chyba_dg5 smallint,
	chyba_dg6 smallint,
	chyba_dg7 smallint,
	chyba_dg8 smallint,
	chyba_dg9 smallint,
	chyba_dg10 smallint,
	chyba_dg11 smallint,
	chyba_dg12 smallint,
	chyba_dg13 smallint,
	chyba_dg14 smallint,
	chyba_dg15 smallint,
	chyba_dg16 smallint,
	chyba_dg17 smallint,
	chyba_dg18 smallint,
	chyba_dg19 smallint,
	chyba_dg20 smallint,
	chyba_dg21 smallint,
	chyba_dg22 smallint,
	chyba_dg23 smallint,
	chyba_dg24 smallint,
	chyba_dg25 smallint,
	chyba_dg26 smallint,
	chyba_dg27 smallint,
	chyba_dg28 smallint,
	chyba_dg29 smallint,
	chyba_dg30 smallint,
	chyba_vyk1 smallint,
	chyba_vyk2 smallint,
	chyba_vyk3 smallint,
	chyba_vyk4 smallint,
	chyba_vyk5 smallint,
	chyba_vyk6 smallint,
	chyba_vyk7 smallint,
	chyba_vyk8 smallint,
	chyba_vyk9 smallint,
	chyba_vyk10 smallint,
	chyba_vyk11 smallint,
	chyba_vyk12 smallint,
	chyba_vyk13 smallint,
	chyba_vyk14 smallint,
	chyba_vyk15 smallint,
	chyba_vyk16 smallint,
	chyba_vyk17 smallint,
	chyba_vyk18 smallint,
	chyba_vyk19 smallint,
	chyba_vyk20 smallint,
	chyba_vyk21 smallint,
	chyba_vyk22 smallint,
	chyba_vyk23 smallint,
	chyba_vyk24 smallint,
	chyba_vyk25 smallint,
	chyba_zup1 smallint,
	chyba_zup2 smallint,
	chyba_zup3 smallint,
	chyba_zup4 smallint,
	chyba_zup5 smallint,
	chyba_zup6 smallint,
	chyba_zup7 smallint,
	chyba_zup8 smallint,
	chyba_zup9 smallint,
	chyba_zup10 smallint,
	chyba_zup11 smallint,
	chyba_zup12 smallint,
	chyba_zup13 smallint,
	chyba_zup14 smallint,
	chyba_zup15 smallint,
	skore_zav int NOT NULL,
	drg varchar(9) NOT NULL,
	drg_kat varchar(7) NOT NULL,
	run_id bigint
);